## org.eclipse.jst.jsf.facesconfig.emf
Interface NavigationRuleExtensionType

All Superinterfaces:
  ExtensionType

All Known Implementing Classes:
  NavigationRuleExtensionTypeImpl

    public interface NavigationRuleExtensionType

extends ExtensionType

A representation of the model object 'Navigation Rule Extension Type'.

See Also:
  `FacesConfigPackage.getNavigationRuleExtensionType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary

Methods inherited from interface org.eclipse.jst.jsf.facesconfig.emf.ExtensionType
`getChildNodes, getId, getTextContent, setId, setTextContent`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values